#
#	!/bin/bash
#

#./WoE_OGDF_Plain_Clean_flooding_FR_CCs.sh /CA-GrQc_partitioned.json /output/flooding 0.01 120000 1000 3 1


FILEARG=${1}
OUT=${2}
WORKERS=${3}

yarn jar ./gila-multi-0.8-jar-with-dependencies.jar  org.apache.giraph.GiraphRunner \
	unipg.gila.multi.coarseners.SolarMerger\$SunGeneration \
	 -mc unipg.gila.multi.MultiScaleMaster \
	 -vif unipg.gila.multi.io.MultiScaleLayoutInputFormat \
	 -vip $FILEARG \
	 -vof unipg.gila.multi.io.MultiScaleLayoutOutputFormat \
	 -op $OUTPUTARG \
	 -ca giraph.SplitMasterWorker=false \
	 -w ${WORKERS}
